Equipd Bible Version 3.4

This update optimises the app for the iPhone X.

Equipd Bible now requires iOS 8 or above.

If you are enjoying the Equipd Bible app please take the time to add a quick review on the App Store. Your review helps others to see the value of the app, and it definitely helps me to keep motivated in supporting and improving it further.

Thanks your ongoing support.

2 replies
    • iMatt
      iMatt says:

      Sure. The app “Equipd” does not open EPUB files, rather it loads content from WOL. This website is for the app “Equipd Bible” which does open EPUB files.

      Reply

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Reply

Your email address will not be published. Required fields are marked *